[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] spec: Drop Requires: vbox



On 06/06/2013 01:55 PM, Cole Robinson wrote:
> Since this package isn't provided by any stock RH based distro. The
> upstream RPMs are called VirtualBox anyways.


I'll take your word on that :-)

I guess the idea is that you want to be able to include the
libvirt-daemon-driver-vbox package in a distro, even though the distro
doesn't have a package for VirtualBox itself? (and of course it's not
okay for an official distro package to Require some package that isn't
in the distro, so the only chance is to have a "documentation requires",
i.e. you just tell people somewhere that they'll have to get that and
install it for things to work right).

ACK.

> ---
>  libvirt.spec.in | 1 -
>  1 file changed, 1 deletion(-)
>
> diff --git a/libvirt.spec.in b/libvirt.spec.in
> index 47902e6..8d43e6d 100644
> --- a/libvirt.spec.in
> +++ b/libvirt.spec.in
> @@ -1050,7 +1050,6 @@ Requires: libvirt-daemon-driver-nwfilter = %{version}-%{release}
>  Requires: libvirt-daemon-driver-secret = %{version}-%{release}
>  Requires: libvirt-daemon-driver-storage = %{version}-%{release}
>          %endif
> -Requires: vbox
>  
>  %description daemon-vbox
>  Server side daemon and driver required to manage the virtualization


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]